server:
  port: 7708
  servlet:
    context-path: /huagao
  host: http://61.174.28.154:7708

enable:
  scheduling: true
logging:
  config: classpath:logback-spring.xml
  path: /home/server/huagao/log/
  level:
    com.malk.*: info

spring:
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    #trustServerCertificate=true 临时绕过证书验证的风险
    url: jdbc:sqlserver://172.16.24.19:1433;databaseName=dingding;encrypt=true;trustServerCertificate=true;
    username: hgdd
    password: hgdd@2025

mybatis-plus:
  configuration:
    #开启驼峰命名自动映射
    map-underscore-to-camel-case: true
    #开启日志打印
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  type-aliases-package: com.malk.huagao.entity
  #扫描mapper文件
  mapper-locations: classpath:mapper/*.xml

# dingtalk
dingtalk:
  agentId: 3254218465
  appKey: dingdhgwe3g6xrifq3iz
  appSecret: xO9uBMFGvv79UAqv8HBPZQVXLBbLhf8ueX28Vtn_de-4ME7-K9wBRVFihCGFoeX4
  corpId:
  aesKey:
  token:
  operator:
  atUserId: 15959870735792794 #陈伟东

# aliwork
aliwork:
  appType: APP_BWPT6ET90UEE8IBEY9GJ
  systemToken: 37766HD145ST2RBB9S4D37J2WMNU293GASC8M6Q

kingdee:
  # 第三方系统登录授权的账套ID
  X-KDApi-AcctID: 697ecdcc4267e8
  # 第三方系统登录授权的用户
  X-KDApi-UserName: dingding
  # 第三方系统登录授权的应用ID
  X-KDApi-AppID: 335775_R16NTZiFTpq/2+1vR74KQbSs2K0b0oms
  # 第三方系统登录授权的应用密钥
  X-KDApi-AppSec: ce7e0211058a428ca858d332e7f80f4d
  # 服务Url地址(公有云统一走网关sdk底层已处理，无需传X-KDApi-ServerUrl,下面这行需要注释)
  X-KDApi-ServerUrl: http://61.174.28.154:81/k3cloud/
  # 账套语系，默认2052
  # X-KDApi-LCID: 2052
  # 组织编码，启用多组织时配置对应的组织编码才有效
  # X-KDApi-OrgNum: 100
  # 允许的最大连接延时，单位为秒
  # X-KDApi-ConnectTimeout: 120
  # 允许的最大读取延时，单位为秒
  # X-KDApi-RequestTimeout: 120

eqb:
  downloadFilePath: /home/server/huagao/files/
  signatoryPsnId: c3fb35cb7e574baf97ed9f8917c6327b #签署人 陈伟东

#金蝶方开发服务
kd:
  host: http://172.16.24.173:70